#
# spec file for package rubygem-docile
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-docile
Version:        1.3.0
Release:        lp150.2.1
%define mod_name docile
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.8.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            https://ms-ati.github.io/docile/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Ruby gem to treat Ruby objects as a domain-specific language
License:        MIT
Group:          Development/Languages/Ruby

%description
Docile treats the methods of a given ruby object as a DSL (domain specific
language) within a given block. 
Killer feature: you can also reference methods, instance variables, and local
variables from the original (non-DSL) context within the block. 
Docile releases follow Semantic Versioning as defined at semver.org.

%prep

%build

%install
%gem_install \
  --doc-files="HISTORY.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Wed Feb 14 2018 jengelh@inai.de
- Replace useless summary
* Thu Feb  8 2018 coolo@suse.com
- updated to version 1.3.0
  see installed HISTORY.md
  [#]# [Unreleased changes](http://github.com/ms-ati/docile/compare/v1.3.0...master)
  - ...
  [#]# [v1.3.0 (Feb 7, 2018)](http://github.com/ms-ati/docile/compare/v1.2.0...v1.3.0)
  - Allow helper methods in block's context to call DSL methods
  - Add SemVer release policy explicitly
  - Standardize on double-quoted string literals
  - Workaround some more Travis CI shenanigans
  [#]# [v1.2.0 (Jan 11, 2018)](http://github.com/ms-ati/docile/compare/v1.1.5...v1.2.0)
  - Special thanks to Christina Koller (@cmkoller)
  - add DSL evaluation returning *return value of the block* (see `.dsl_eval_with_block_return`)
  - add an example to README
  - keep travis builds passing on old ruby versions
* Wed Oct 15 2014 coolo@suse.com
- updated to version 1.1.5
  - as much as possible, loosen version restrictions on development dependencies
  - clarify gemspec settings as much as possible
  - bump rspec dependency to 3.0.x
  - Special thanks to Ken Dreyer  (@ktdreyer):
  - make simplecov/coveralls optional for running tests \[[33834852c7](https://github.com/ms-ati/docile/commit/33834852c7849912b97e109e8c5c193579cc5e98)\]
  - update URL in gemspec \[[174e654a07](https://github.com/ms-ati/docile/commit/174e654a075c8350b3411b212cfb409bc605348a)\]
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Sun Feb 23 2014 coolo@suse.com
- updated to version 1.1.3
  - Special thanks to Alexey Vasiliev (@le0pard):
  - fix problem to catch NoMethodError from non receiver object
  - upgrade rspec format to new "expect" syntax
* Mon Jan 20 2014 coolo@suse.com
- updated to version 1.1.2
  - remove unnecessarily nested proxy objects (thanks @Ajedi32!
  - documentation updates and corrections
* Tue Nov 26 2013 coolo@suse.com
- updated to version 1.1.1, upstream set license (gh#7)
* Sat Nov 23 2013 coolo@suse.com
- initial package for simplecov
